/*
 * Mattermost API Reference
 *
 * There is also a work-in-progress [Postman API reference](https://documenter.getpostman.com/view/4508214/RW8FERUn).
 *
 * The version of the OpenAPI document: 4.0.0
 * Contact: feedback@mattermost.com
 * Generated by: https://openapi-generator.tech
 */

/// OpenGraphAudiosInner : Audio object used in OpenGraph metadata of a webpage

#[derive(Clone, Debug, PartialEq, Default, serde::Serialize, serde::Deserialize)]
pub struct OpenGraphAudiosInner {
    #[serde(rename = "url", skip_serializing_if = "Option::is_none")]
    pub url: Option<String>,
    #[serde(rename = "secure_url", skip_serializing_if = "Option::is_none")]
    pub secure_url: Option<String>,
    #[serde(rename = "type", skip_serializing_if = "Option::is_none")]
    pub r#type: Option<String>,
}

impl OpenGraphAudiosInner {
    /// Audio object used in OpenGraph metadata of a webpage
    pub fn new() -> OpenGraphAudiosInner {
        OpenGraphAudiosInner {
            url: None,
            secure_url: None,
            r#type: None,
        }
    }
}
